/*
 * main.cpp
 *
 */

#include "LinkedListTemplate.h"
#include "HashtableTemplate.h"
#include <string>
#include <iostream>

int main() {
	List<std::string> myList;

	myList.insert("pinco");
	myList.insert("pallino");
	myList.printDebug();
	myList.insertBefore("tizio");
	myList.gotoBeginning();
	myList.printDebug();
	std::string data;
	if (myList.getCursor(data))
		std::cout << "Cursor: " << data << std::endl;
	myList.gotoNext();
	if (myList.getCursor(data))
		std::cout << "Cursor: " << data << std::endl;
	myList.remove();
	myList.printDebug();
	List<std::string> myList2;
	if (myList2.getCursor(data))
		std::cout << "Cursor: " << data << std::endl;
	else
		std::cout << "No data" << std::endl;

	HashTable<std::string, std::string> myHash(30);
	myHash.insert("pincoKey", "Pinco");
	myHash.insert("pallinoKey", "Pallino");
	myHash.printDebug();
}



